Subject: Re: linux-next: Tree for Aug 13 [ screen corruption in graphical mode ]

From: Chris Wilson <[email-masked]>
Date: Tue, 13 Aug 2013 21:10:42 +0100

On Tue, Aug 13, 2013 at 09:05:41PM +0200, Sedat Dilek wrote:
> On Tue, Aug 13, 2013 at 8:53 PM, Chris Wilson <[email-masked]> wrote:
> > On Tue, Aug 13, 2013 at 08:40:37PM +0200, Sedat Dilek wrote:
> >> On Tue, Aug 13, 2013 at 8:01 PM, Chris Wilson <[email-masked]> wrote:
> >> > On Tue, Aug 13, 2013 at 07:53:25PM +0200, Sedat Dilek wrote:
> >> >> Files attached.
> >> >
> >> > Can you also please attach a full dmesg so I can check for anything
> >> > unusual?
> >> >
> >
> > Nothing scarred me on a couple of read throughs.
> >
> > What happens if you try:
> >
> > diff --git a/drivers/gpu/drm/i915/i915_gem_stolen.c b/drivers/gpu/drm/i915/i915_gem_stolen.c
> > index 112c5e1..9828d9b 100644
> > --- a/drivers/gpu/drm/i915/i915_gem_stolen.c
> > +++ b/drivers/gpu/drm/i915/i915_gem_stolen.c
> > @@ -284,7 +284,7 @@ i915_gem_object_create_stolen(struct drm_device *dev, u32 size)
> >                 return NULL;
> >
> >         ret = drm_mm_insert_node(&dev_priv->mm.stolen, stolen, size,
> > -                                4096, DRM_MM_SEARCH_DEFAULT);
> > +                                1024*1024, DRM_MM_SEARCH_DEFAULT);
> >         if (ret) {
> >                 kfree(stolen);
> >                 return NULL;
> >
> > --
> 
> Now, 2/3 till 3/4 of my LightDM greeter screen is a black bar (seen
> from the top).
> On the bottom I can read "Ubuntu 12.04 LTS" with the known background.
> So-to-say 3/4 "blind".

That implies that the scanout is always reading from the base of stolen.
Can you grab intel_reg_dumper so that I can check what values the
transcoder is set to?

At the moment, I am guessing that the display never sees the updated
surface offset and so persists with the value programmed by the BIOS -
which will be 0 and set to the base of stolen memory in the GTT. A
drm.debug=6 dmesg would help here as well.

If you forced a mode change, I think that too would restore the output.
-Chris

-- 
Chris Wilson, Intel Open Source Technology Centre